.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the CSharpScript.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_CSharpScript:

CSharpScript
============

**Inherits:** :ref:`Script<class_script>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+------------------------------+-------------------------------------------------------+
| :ref:`Object<class_object>`  | :ref:`new<class_CSharpScript_new>` **(** **)** vararg |
+------------------------------+-------------------------------------------------------+

Member Function Description
---------------------------

.. _class_CSharpScript_new:

- :ref:`Object<class_object>` **new** **(** **)** vararg


